INTERFACE
SUBROUTINE HDEPART(KDOBS,KLEN,KDBDY,KMXBDY,KTYPE,&
 & KCMBDY,KVNM,PHOFX) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDOBS
INTEGER(KIND=JPIM),INTENT(IN) :: KDBDY
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KMXBDY
INTEGER(KIND=JPIM),INTENT(IN) :: KTYPE
INTEGER(KIND=JPIM),INTENT(IN) :: KCMBDY(KDOBS)
INTEGER(KIND=JPIM),INTENT(IN) :: KVNM(KDOBS,KDBDY)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHOFX(KDOBS,KDBDY)
END SUBROUTINE HDEPART
END INTERFACE
